Subject: Re: [bug#70282] [PATCH 2/2] gnu: gnome-essential-extras: Propagate pipewire.

From: Dariqq <[email-masked]>
Date: Tue, 9 Apr 2024 14:05:17 +0000

On 08.04.24 18:49, Liliana Marie Prikler wrote:
> Am Montag, dem 08.04.2024 um 15:53 +0000 schrieb Dariqq:
>> The built-in gnome-shell screencast requries pipewire.
>>
>> * gnu/packages/gnome.scm (gnome-essential-extras): Add pipewire.
>>
>> Change-Id: I6ca5d309f1e6a5f3396b35cfda6d2d470d5b62be
>> ---
>>   gnu/packages/gnome.scm | 1 +
>>   1 file changed, 1 insertion(+)
>>
>> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
>> index e752232f78..f6e3c2f03b 100644
>> --- a/gnu/packages/gnome.scm
>> +++ b/gnu/packages/gnome.scm
>> @@ -10329,6 +10329,7 @@ (define-public gnome-essential-extras
>>                               gst-plugins-good
>>                               gucharmap
>>                               hicolor-icon-theme
>> +                            pipewire
>>                               pinentry-gnome3
>>                               pulseaudio
>>                               shared-mime-info
> Should pipewire not go into gnome-shell or something else?  Propagating
> it here seems weird.

I wasn't sure if only the gstreamer plugin of pipewire are required or 
something else from the pipewire package too and that was the easy solution.

I just tested adding pipewire to gnome-shell and adding 
GST_PLUGIN_SYSTEM_PATH to the wrapper seems to be enough.

While working on this I also found that also gst-plugins-good are also 
required for the Screencast service which will get found using the 
system profile as it is propagated by gnome-essential-extras. Should 
that also be added to gnome-shell?